
import matplotlib.pyplot as plt

def axis(xmin= 5, xmax= 5000, ymin= 1e-24, ymax= 1e-21, \
         xtitle= u"Strain [1/\u221AHz]", ytitle= 'Frequency [Hz]', \
         grid= True):

    fig  = plt.figure(figsize=(6,4), dpi=100, facecolor='white')
    ax   = fig.add_subplot(1, 1, 1)

    plt.subplots_adjust(top=0.96, bottom=0.15, left=0.12, right=0.98)

    if grid:
        ax.xaxis.grid(True)
        ax.yaxis.grid(True)
    ax.set_xlim([xmin, xmax])
    ax.set_ylim([ymin, ymax])
    ax.set_ylabel(xtitle)
    ax.set_xlabel(ytitle)

    return fig, ax
