
import gwinc
import axis
import opts
import numpy as np
import gwinc_kagra.kagra_ref as kagra_ref

from gwinc_kagra import gwinc_kagra
from optparse    import OptionParser

options, args = opts.getopts('cfpsv')

ifo1 = gwinc.load_ifo(options.ifo)
ifo2 = gwinc.load_ifo(options.ifo)

ifo2.Optics.Type = 'SignalRecycled'

freq = np.logspace(0, 4, 1000)
nn1  = gwinc_kagra(freq, ifo1, options.conf, options.verbose)
nn2  = gwinc_kagra(freq, ifo2, options.conf, options.verbose)

n1   = kagra_ref.noise_gwinc(options.plot, nn1)
n2   = kagra_ref.noise_gwinc(options.plot, nn2)

png  = 'figs/combine.png'

fig,ax = axis.axis() #(ymin= -0.05, ymax= 0.05)
#ax.semilogx(freq, n1/n2-1)
ax.loglog(freq, n1)
ax.loglog(freq, n2)
fig.show()

if options.save:
    plt.savefig(png, dpi = 200)
    print 'Figure is saved as '+png
