
from optparse import OptionParser

def getopts(opts= 'cfpdysv', ifo = 'ifo/bKAGRA.yaml'):
    parser = OptionParser()

    if opts.find('c') >= 0:
        parser.add_option('-c', '--conf', metavar = 'name', default = 'DRSE',\
                          help = 'Specify IFO configuration '\
                          '(DRSE,BRSE,BRSEhomo,BRSEsqz,LF,HF,40kg,FDSQZ)')

    if opts.find('f') >= 0:
        parser.add_option('-f', '--ifo',  metavar = 'name', \
                          default = ifo, \
                          help = 'Specify IFO yaml file (default: '+ifo+')')

    if opts.find('p') >= 0:
        parser.add_option('-p', '--plot', metavar = 'name',
                          default = 'htotal', help = 'Plot specified noise '\
                              'component in KAGRA code style(default: htotal)'\
                              '(htotal,hseis,hsusp,hmir,hsh)')
    if opts.find('d') >= 0:
        parser.add_option('-d', '--data', action = 'store_true', \
                              default = False,\
                              help = 'Compare with data')

    if opts.find('y') >= 0:
        parser.add_option('-y', '--ylim', metavar = 'value',\
                          default = '0.05', \
                          help = 'Vertical range for the comparison plot')

    if opts.find('s') >= 0:
        parser.add_option('-s', '--save', action = 'store_true', \
                              default = False, help = 'Save figure in png')

    if opts.find('v'):
        parser.add_option('-v', '--verbose', action = 'store_true', \
                              default = False, help = 'Print some information')

    return parser.parse_args()
