
import gwinc
import opts
import numpy as np
import matplotlib.pyplot as plt

from gwinc       import plot
from gwinc_kagra import gwinc_kagra

options, args = opts.getopts('cfsv')

freq = np.logspace(0, 4, 1000)
ifo  = gwinc.load_ifo(options.ifo)

if options.ifo.find('KAGRA') >= 0:
    png    = 'figs/plot_'+options.conf+'.png'
    title  = 'bKAGRA ('+options.conf+')' if options.conf.find('RSE') >= 0 \
        else 'KAGRA+ ('+options.conf+')'
    noises = gwinc_kagra(freq, ifo, options.conf, options.verbose)

else:
    noises = gwinc.gwinc(freq, ifo)[1]
    png    = 'figs/plot_'+options.ifo+'.png'
    title  = options.ifo

fig = plot.plot_noise(ifo, noises)

fig.text(0.51, 0.99, title, ha='center', va='top', size=20)
fig.show()

if options.save:
    plt.savefig(png, dpi = 200)
    print 'Figure is saved as '+png
