
import gwinc
import axis
import opts
import numpy as np

from gwinc_kagra import gwinc_kagra
from optparse    import OptionParser

options, args = opts.getopts('fsv')

ifo_aligo = gwinc.load_ifo('aLIGO')
ifo_aplus = gwinc.load_ifo('A+')
ifo_kagra = gwinc.load_ifo(options.ifo)
freq      = np.logspace(0, 4, 1000)

lb  = ( 'aLIGO', 'A+', 'bKAGRA', \
        'KAGRA+ LF', 'KAGRA+ HF', 'KAGRA+ 40kg', 'KAGRA+ FDSQZ' )
col = ( 'magenta', 'darkviolet', 'orange', \
        'saddlebrown', 'red', 'blue', 'green' )
sty = ( ':', '--', ':', '-', '-', '-', '-' )

cfg = ( 'DRSE', 'LF', 'HF', '40kg', 'FDSQZ' )
png = 'figs/plus.png'

nn = list()
nn.append(gwinc.gwinc(freq, ifo_aligo)[1])
nn.append(gwinc.gwinc(freq, ifo_aplus)[1])
for i in range(0, 5):
    nn.append(gwinc_kagra(freq, ifo_kagra, cfg[i], options.verbose))

fig,ax = axis.axis()
for i in range(0, len(nn)):
    ax.loglog(freq, np.sqrt(nn[i]['Total']), color= col[i], linestyle= sty[i],\
                                             label= lb [i], linewidth= 2)
fig.show()

if options.save:
    plt.savefig(png, dpi = 200)
    print 'Figure is saved as '+png
